unit Lstruct;

interface
uses
Lfunc;

{ai,am,as,zf,e,ft,av,pa,g,b,acd,r,q,mn,i,q:}

type
Func_F = Function(I :Integer): Extended;

Func_F1 = Function (Y :Real): Real;
Func_F1E = Function (Y :Extended): Extended;

Func_F1A = Function (X :Array of Real): Real;
Func_F1AE = Function (X :Array of Extended): Extended;

Func_F2 = Function (var Y :Array of Real;K :Integer): Real;
Func_F2E = Function (var Y :Array of Extended;K :Integer): Extended;

Func_F3 = Function (X :Real;Y :Real;Z :Real): Real;
Func_F3E = Function (X :Extended;Y :Extended;Z :Extended): Extended;

Func_F3A = Function (X :Array of Real;Y :Array of Real;Z :Array of Real): Real;
Func_F3AE = Function (X :Array of Extended;Y :Array of Extended;
                      Z :Array of Extended): Extended;

Proc_FA =  Procedure (var X :Array of Real; var V :Array of Real);
Proc_FAE = Procedure (var X :Array of Extended; var V :Array of Extended);

Func_F4 = Function (X :Real;Y :Real): Real;
Func_F_E = Function (W1 :Real; W2 :Real): Complex;
Proc_F1_Q = Procedure (var Z :Array of Real; var FZ :Array of Real);
Proc_F2_Q = Procedure (T :Real; var ZT :Array of Real);

{de}
type
Proc_F70 = Procedure (X :Real; var Y :Array of Real; var Z :Array of Real; M :Integer);
Proc_F80 = Procedure (X :Real; var Y :Array of Real; var DY :Array of Real;
                         var Z :Array of Real; M :Integer);
Proc_F_DE = Procedure (X :Real; var Y :Array of Real; var DY :Array of Real;
                    M :Integer);
Proc_FE_DE = Procedure (X :Extended; var Y :Array of Extended; var DY :Array of Extended;
                    M :Integer);
Proc_F2_DE = Procedure (X :Real; var Y :Array of Real; var DY :Array of Real;
                     var Z :Array of Real; M :Integer);
Proc_F2E_DE = Procedure (X :Extended; var Y :Array of Extended; var DY :Array of Extended;
                     var Z :Array of Extended; M :Integer);
Proc_F3_DE = Procedure (var A :Array of Real; X :Real; M :Integer);
Proc_F3E_DE = Procedure (var A :Array of Extended; X :Extended; M :Integer);
Proc_F4_DE = Procedure (var FC :Real; var GC :Real; var RC :Real; X :Real;
                         Y :Real; I :Integer; var RAB :Array of Real);
Proc_F4E_DE = Procedure (var FC :Extended; var GC :Extended; var RC :Extended; X :Extended;
                         Y :Extended; I :Integer; var RAB :Array of Extended);

Func_F_DE  = Function (X :Real): Real;
Func_FE_DE = Function (X :Extended): Extended;

{e,ft}
Proc_EF01R  = Procedure (M :Integer; N :Integer; var A :Array of Real;
                    var V :Array of Real; var W :Array of Real; NOP :Integer);
{ae,ai,am,zf,q}
type
Proc_F3 = Procedure (X :Real; var Y :Real; var Z :Real);
Proc_F3E = Procedure (X :Extended; var Y :Extended; var Z :Extended);

Proc_F2_A = Procedure (X :Real;var Y :Array of Real);
Proc_F2_AE = Procedure (X :Extended;var Y :Array of Extended);

Proc_F3_A = Procedure (X :Real;var Y :Array of Real; I :Array of Integer);
Proc_F3E_A = Procedure (X :Extended;var Y :Array of Extended;
             I :Array of Integer);

Proc_F2A = Procedure (X :Array of Real;var Y :Array of Real);
Proc_F2AE = Procedure (X :Array of Extended;var Y :Array of Extended);

Proc_F3A = Procedure (X :Array of Real;var Y :Array of Real;
                      var Z :Array of Real);
Proc_F3AE = Procedure (X :Array of Extended;var Y :Array of Extended;
            var Z :Array of Extended);
Proc_F3AI = Procedure (J :Integer;var Y :Array of Real; M :Integer);

Proc_F4A = Procedure (var X :Array of Real; var Z :Array of Real;
                N :Integer; S :Real);
Proc_F4AE = Procedure (var X :Array of Extended; var Z :Array of Extended;
                N :Integer; S :Extended);

{mn}
Proc_F1_MN  = Procedure (var X :Array of Real; var F :Real; FE :Real);
Proc_F1E_MN = Procedure (var X :Array of Extended; var F :Extended; FE :Extended);
Proc_F2_MN  = Procedure (var X :Array of Real; var G :Array of Real;
                var GE :Array of Real; var I0 :Array of Integer);
Proc_F2E_MN = Procedure (var X :Array of Extended; var G :Array of Extended;
                var GE :Array of Extended; var I0 :Array of Integer);
Proc_F3_MN  = Procedure (var X :Array of Real; var G :Array of Real;
                GE :Real; I0 :Integer);
Proc_F3E_MN = Procedure (var X :Array of Extended; var G :Array of Extended;
                GE :Extended; I0 :Integer);
Proc_F4_MN  = Procedure (var X :Array of Real; var F :Array of Real;
                FE :Real);
Proc_F4E_MN = Procedure (var X :Array of Extended; var F :Array of Extended;
                FE :Extended);
Proc_F5_MN  = Procedure (var X :Array of Real; var G :Array of Real;
                GE :Real; var I0 :Array of Integer);
Proc_F5E_MN = Procedure (var X :Array of Extended; var G :Array of Extended;
                GE :Extended; var I0 :Array of Integer);
Proc_F6_MN  = Procedure (var X :Array of Real; M :Integer; N :Integer;
                var F :Array of Real);
Proc_F7_MN  = Procedure (X :Real; var F :Real; FE :Real);
Proc_F7E_MN = Procedure (X :Extended; var F :Extended; FE :Extended);


Proc_MNI05  = Procedure (FUN :Proc_F4_MN; var A :Array of Real;
                var B :Array of Real; var N :Integer; var M :Integer;
                var L :Integer; var Y :Array of Real; var FY :Real;
                var F :Array of Real; var FS :Real;
                var X :Array of Real; var P :Array of Real; GFP :Real;
                var R :Array of Real);
Proc_MNI07  = Procedure (FUN :Proc_F4E_MN; var A :Array of Extended;
                var B :Array of Extended; var N :Integer; var M :Integer;
                var L :Integer; var Y :Array of Extended;
                var FY :Extended; var F :Array of Extended;
                var FS :Extended; var X :Array of Extended;
                var P :Array of Extended; GFP :Extended;
                var R :Array of Extended);

type
 _ = record
  elm1: Integer;
 end;

type  {Utxtar}
 MMOD = record
  elm1: Integer;
 end;

type
 ARENST = record
  elm1: Real;
  elm2: Real;
  elm3: Integer;
 end;

type
 ASS1RR = record
  elm1: Integer;
 end;
type
 ASS2RR = record
  elm1: Integer;
 end;
type
 ASR = record
  elm1: Array [0..9,0..9] of Real;
 end;
type
 ASD = record
  elm1: Array [0..9,0..9] of Extended;
 end;

type
 COM20R = record
  elm1: Real;
 end;
type
 COM20D = record
  elm1: Extended;
 end;
type
 COM21R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
  elm5: Integer;
 end;
type
 COM21D = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Integer;
  elm5: Integer;
 end;
type
 COM24R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
  elm5: Integer;
 end;
type
 COM24D = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Integer;
  elm5: Integer;
 end;
type
 COM26R = record
  elm1: Real;
  elm2: Real;
 end;
type
 COM26D = record
  elm1: Extended;
  elm2: Extended;
 end;
type
 COM28R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
 end;
type
 COM28D = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
 end;
type
 COM36R = record
  elm1: Integer;
  elm2: Integer;
  elm3: Integer;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Real;
  elm8: Real;
 end;
type
 COM36D = record
  elm1: Integer;
  elm2: Integer;
  elm3: Integer;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Extended;
  elm8: Extended;
 end;
type
 COM40R = record
  elm1: Real;
  elm2: Real;
 end;
type
 COM40D = record
  elm1: Extended;
  elm2: Extended;
 end;
type
 COM42R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
 end;
type
 COM42D = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
 end;
type
 COM48R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
 end;
type
 COM48D = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Extended;
 end;
type
 COM52R = record
  elm1: Boolean;
 end;
type
 COM52D = record
  elm1: Boolean;
 end;
type
 COM70R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
  elm5: Real;
  elm6: Real;
  elm7: Real;
 end;
type
 COM72R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
  elm5: Real;
  elm6: Real;
  elm7: Real;
 end;
type
 COM80R = record
  elm1: Integer;
  elm2: Integer;
  elm3: Integer;
  elm4: Integer;
  elm5: Real;
  elm6: Real;
  elm7: Real;
  elm8: Real;
  elm9: Real;
 end;

type
 GSG1R1 = record
  elm1: Real;
  elm2: Real;
 end;

type
 PA06RR = record
  elm1: Integer;
 end;

type
 ZF16RR = record
  elm1: Integer;
 end;
type
 ZF17RR = record
  elm1: Integer;
 end;
type
 ZF18RR = record
  elm1: Integer;
 end;
type
 ZF20RR = record
  elm1: Integer;
 end;
type
 ZF21RR = record
  elm1: Integer;
 end;
 ZF31RR = record
  elm1: Integer;
 end;
type
 QSCOMX = record
  elm1: Real;
 end;
type
 QS = record
  elm1: Integer;
 end;

type
 MMKRIC = record
  elm1: Real;
  elm2: Integer;
  elm3: Real;
  elm4: Array [0..14] of Real;
 end;
type
 MMKRD = record
  elm1: Extended;
  elm2: Integer;
  elm3: Extended;
  elm4: Array [0..14] of Extended;
 end;
type
 MNA4RR = record
  elm1: Integer;
 end;
type
 MNI1 = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Integer;
 end;
type
 MNI2 = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Real;
  elm5: Real;
  elm6: Real;
  elm7: Real;
  elm8: Integer;
  elm9: Integer;
  elm10: Integer;
  elm11: Integer;
  elm12: Real;
  elm13: Integer;
  elm14: Integer;
 end;
type
 MNI3 = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Integer;
 end;
type
 MNI4 = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Extended;
  elm5: Extended;
  elm6: Extended;
  elm7: Extended;
  elm8: Integer;
  elm9: Integer;
  elm10: Integer;
  elm11: Integer;
  elm12: Extended;
  elm13: Integer;
  elm14: Integer;
 end;
type
 MNA1RR = record
  elm1: Integer;
 end;
type
 MNA3RR = record
  elm1: Integer;
 end;
type
 MNA5RR = record
  elm1: Integer;
 end;
type
 MNA6RR = record
  elm1: Integer;
 end;
type
 MNA6RC = record
  elm1: Integer;
  elm2: Array [0..49] of Real;
  elm3: Array [0..49] of Real;
 end;
type
 MNA6EC = record
  elm1: Integer;
  elm2: Array [0..49] of Extended;
  elm3: Array [0..49] of Extended;
 end;

type
 PP10R = record
  elm1: Integer;
 end;
type
 PP11R = record
  elm1: Integer;
  elm2: Integer;
  elm3: Integer;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
 end;
type
 PP11C = record
  elm1: Integer;
  elm2: Integer;
  elm3: Integer;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Integer;
  elm8: Integer;
  elm9: Integer;
  elm10: Integer;
 end;
type
 PCPQLN = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Real;
  elm5: Real;
  elm6: Real;
  elm7: Real;
  elm8: Real;
  elm9: Real;
  elm10: Real;
  elm11: Integer;
 end;
type
 PRPQLJ = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Real;
  elm5: Real;
  elm6: Real;
  elm7: Real;
  elm8: Real;
  elm9: Real;
  elm10: Real;
  elm11: Real;
  elm12: Real;
  elm13: Real;
  elm14: Real;
  elm15: Real;
  elm16: Real;
  elm17: Real;
  elm18: Real;
  elm19: Real;
  elm20: Real;
  elm21: Real;
  elm22: Real;
  elm23: Real;
  elm24: Real;
  elm25: Integer;
  elm26: Integer;
 end;

type
 SF67R2 = record
  elm1: Real;
 end;
type
 SF68R1 = record
  elm1: Real;
 end;
type
 SFG6R2 = record
  elm1: Integer;
 end;
type
 SF75R3 = record
  elm1: Real;
 end;

//test
type
 COMBL = record
  elm1: Integer;
  elm2: Real;
 end;
type
Proc_F10 = Procedure (M :Integer; var N :Integer);
var
_COMBL :COMBL;
//

var
_FileRes : TextFile;

var
_COM20R :COM20R;
_COM20D :COM20D;
_COM21R :COM21R;
_COM21D :COM21D;
_COM24R :COM24R;
_COM24D :COM24D;
_COM26R :COM26R;
_COM26D :COM26D;
_COM28R :COM28R;
_COM28D :COM28D;
_COM36R :COM36R;
_COM36D :COM36D;
_COM40R :COM40R;
_COM40D :COM40D;
_COM42R :COM42R;
_COM42D :COM42D;
_COM48R :COM48R;
_COM48D :COM48D;
_COM52R :COM52R;
_COM52D :COM52D;
_COM70R :COM70R;
_COM72R :COM72R;
_COM80R :COM80R;
__ :_;
_MMOD :MMOD;
_ARENST :ARENST;
_ASS1RR :ASS1RR;
_ASS2RR :ASS2RR;
_ASR :ASR;
_ASD :ASD;

_PA06RR :PA06RR;
_GSG1R1:GSG1R1;

_ZF16RR :ZF16RR;
_ZF17RR :ZF17RR;
_ZF18RR :ZF18RR;
_ZF20RR :ZF20RR;
_ZF21RR :ZF21RR;
_ZF31RR :ZF31RR;
_QSCOMX :QSCOMX;
_QS :QS;
_SF67R2 :SF67R2;
_SF68R1 :SF68R1;
_SFG6R2 :SFG6R2;
_SF75R3 :SF75R3;

_MMKRIC :MMKRIC;
_MMKRD  :MMKRD;
_MNA4RR :MNA4RR;
_MNI1   :MNI1;
_MNI2   :MNI2;
_MNI3   :MNI3;
_MNI4   :MNI4;
_MNA1RR :MNA1RR;
_MNA3RR :MNA3RR;
_MNA5RR :MNA5RR;
_MNA6RR :MNA6RR;
_MNA6RC :MNA6RC;
_MNA6EC :MNA6RC;

_PP10R  :PP10R;
_PP11C  :PP11C;
_PP11R  :PP11R;
_PCPQLN :PCPQLN;
_PRPQLJ :PRPQLJ;

implementation

end.
